Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » RSM 7.5 exports EMF UML2 XMI v3.x instead of v.2.x(RSM export format)
RSM 7.5 exports EMF UML2 XMI v3.x instead of v.2.x [message #497069] Thu, 12 November 2009 12:44 Go to next message
No real name is currently offline No real name
Messages: 3
Registered: November 2009
Junior Member
Hi,

RSM/RSA 7.5.4 should be able to export into the EMF UML2 XMI v2.x format according to the data sheets and the export description. But the exported *.uml file references the v.3.x namespace: xmlns:uml="http://www.eclipse.org/uml2/3.0.0/UML.

The uml2 libraries are of version 2.2.2.

What is the real version of the exported XMI? How can it be recognized?

thanks
Michael
Re: RSM 7.5 exports EMF UML2 XMI v3.x instead of v.2.x [message #497136 is a reply to message #497069] Thu, 12 November 2009 15:09 Go to previous messageGo to next message
Rafael Chaves is currently offline Rafael Chaves
Messages: 362
Registered: July 2009
Senior Member
Michael, the latest release of the UML2 project is 3.0.x (since July,
released as part of Eclipse Galileo). Maybe you have UML2 3.0 installed
instead of UML2 2.2?

tmik@gmx-topmail.de wrote:
> Hi,
>
> RSM/RSA 7.5.4 should be able to export into the EMF UML2 XMI v2.x format
> according to the data sheets and the export description. But the
> exported *.uml file references the v.3.x namespace:
> xmlns:uml="http://www.eclipse.org/uml2/3.0.0/UML.
>
> The uml2 libraries are of version 2.2.2.
>
> What is the real version of the exported XMI? How can it be recognized?
>
> thanks
> Michael
Re: RSM 7.5 exports EMF UML2 XMI v3.x instead of v.2.x [message #628053 is a reply to message #497136] Thu, 12 November 2009 18:38 Go to previous messageGo to next message
No real name is currently offline No real name
Messages: 3
Registered: November 2009
Junior Member
Thanks for the reply, Rafael. RSM uses the org.eclipse.uml2.uml_2.2.2 plugin. In the export dialog they say "UML 2.1-model"-export.

So, I cannot understand why it creates a xmi model with the namespace for 3.0.0 ?
Re: RSM 7.5 exports EMF UML2 XMI v3.x instead of v.2.x [message #628054 is a reply to message #628053] Thu, 12 November 2009 20:38 Go to previous message
james bruck is currently offline james bruck
Messages: 1724
Registered: July 2009
Senior Member
You must have upgraded (replaced) the version of UML2 in RSx. If you do a
clean install of 7.5.4 you'll see that it does not use the 3.0.0 namespace.

- James.

<tmik@gmx-topmail.de> wrote in message
news:hdhkmm$780$1@build.eclipse.org...
> Thanks for the reply, Rafael. RSM uses the org.eclipse.uml2.uml_2.2.2
> plugin. In the export dialog they say "UML 2.1-model"-export.
>
> So, I cannot understand why it creates a xmi model with the namespace for
> 3.0.0 ?
Previous Topic:Applying stereotype programmatically fails
Next Topic:Strange behaviour of container feature setters
Goto Forum:
  


Current Time: Mon Oct 20 09:59:25 GMT 2014

Powered by FUDForum. Page generated in 0.16883 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software